------------------------------------------------------------------------------
-- Trilby HAT - sample firmware
--
-- Copyright (c) 2005-2016 Kinetic Avionics Ltd
-- www.kinetic.co.uk
--
-- Permission is hereby granted, free of charge, to any person obtaining a
-- copy of this software and associated documentation files (the "Software"),
-- to deal in the Software without restriction, including without limitation
-- the rights to use, copy, modify, merge, publish, distribute, sublicense,
-- and/or sell copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following conditions:
-- The above copyright notice and this permission notice shall be included
-- in all copies or substantial portions of the Software.
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-- EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-- IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
-- DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
-- TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
-- OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-- 
-- Module Name: demod
-- Purpose: VHDL declaration for AM/FM demodulator
-- Author: Keith Frewin
--
-- Version History:
-- dd/mm/yyyy Comments
-- 14/04/2016 Initial release
------------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity demod is
    port (
		clk: in STD_LOGIC;
		res: in STD_LOGIC;
		wfm_in: in STD_LOGIC;
		am_sel: in STD_LOGIC;
		mute_in: in STD_LOGIC;
		sclk: in STD_LOGIC;
		i_in: in STD_LOGIC_VECTOR (17 DOWNTO 0);
		q_in: in STD_LOGIC_VECTOR (17 DOWNTO 0);

		sclkout: out STD_LOGIC;
		sdataout: out STD_LOGIC_VECTOR (17 DOWNTO 0);
		rssi_out: out STD_LOGIC_VECTOR (7 DOWNTO 0)
    );
end demod;

architecture rtl of demod is
begin
 
end rtl;






