#-- Lattice Semiconductor Corporation Ltd.
#-- Synplify OEM project file C:/KAL/Trilby/Trilby_test/impl1/launch_synplify.tcl
#-- Written on Tue Mar 17 16:08:37 2015

project -close
set filename "C:/KAL/Trilby/Trilby_test/impl1/impl1_syn.prj"
if ([file exists "$filename"]) {
	project -load "$filename"
	project_file -remove *
} else {
	project -new "$filename"
}
set create_new 0

#device options
set_option -technology ECP5U
set_option -part LFE5U_45F
set_option -package BG381C
set_option -speed_grade -6

if {$create_new == 1} {
#-- add synthesis options
	set_option -symbolic_fsm_compiler true
	set_option -resource_sharing true
	set_option -vlog_std v2001
	set_option -frequency auto
	set_option -maxfan 1000
	set_option -auto_constrain_io 0
	set_option -disable_io_insertion true
	set_option -retiming false; set_option -pipe true
	set_option -force_gsr false
	set_option -compiler_compatible 0
	set_option -dup false
	
	set_option -default_enum_encoding default
	
	
	
	set_option -write_apr_constraint 1
	set_option -fix_gated_and_generated_clocks 1
	set_option -update_models_cp 0
	set_option -resolve_multiple_driver 0
	
	
}
#-- add_file options
set_option -hdl_define -set SBP_SYNTHESIS
set_option -include_path "C:/KAL/Trilby/Trilby_test"
add_file -verilog "C:/KAL/Trilby/Trilby_test/impl1/trilby_diag.v"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/d8051v25.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/rom4k/rom4kx8/rom4kx8.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/rom4k/rom4k.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/rombus4k.vhd"
add_file -verilog "C:/KAL/Trilby/Trilby_test/pll96/pll_24_to_96/pll_24_to_96.v"
add_file -verilog "C:/KAL/Trilby/Trilby_test/pll96/pll96.v"
add_file -verilog "C:/KAL/Trilby/Trilby_test/cosine_tab/cos720/cos720.v"
add_file -verilog "C:/KAL/Trilby/Trilby_test/cosine_tab/cosine_tab.v"
add_file -verilog "C:/KAL/Trilby/Trilby_test/rom1kx18/r18/r18.v"
add_file -verilog "C:/KAL/Trilby/Trilby_test/rom1kx18/rom1kx18.v"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/msgbuilder.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/adc_sync.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/addr_dec_16.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/agc_pwm.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/bus8to16.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/dec_by_5_iq.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/dec_by_10_iq2.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/demod4.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/filter_iq.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/mix_iq.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/nco_mix_4.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/sqrt32.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/uartbuf5b.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/uartrx2k.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/dec10_rom/dec10/dec10.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/dec10_rom/dec10_rom.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/flt_rom/f18/f18.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/flt_rom/flt_rom.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/chf_rom/c18/c18.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/chf_rom/chf_rom.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/aud_rom/a18/a18.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/aud_rom/aud_rom.vhd"
add_file -vhdl -lib "work" "C:/KAL/Trilby/Trilby_test/audio_pwm.vhd"
#-- top module name
set_option -top_module trilby_diag
project -result_file {C:/KAL/Trilby/Trilby_test/impl1/impl1.edi}
project -save "$filename"
