#-- Lattice Semiconductor Corporation Ltd.
#-- Synplify OEM project file

#device options
set_option -technology ECP5U
set_option -part LFE5U_45F
set_option -package BG381C
set_option -speed_grade -6

#compilation/mapping options
set_option -symbolic_fsm_compiler true
set_option -resource_sharing true

#use verilog 2001 standard option
set_option -vlog_std v2001

#map options
set_option -frequency auto
set_option -maxfan 1000
set_option -auto_constrain_io 0
set_option -disable_io_insertion true
set_option -retiming false; set_option -pipe true
set_option -force_gsr false
set_option -compiler_compatible 0
set_option -dup false

set_option -default_enum_encoding default

#simulation options


#timing analysis options



#automatic place and route (vendor) options
set_option -write_apr_constraint 1

#synplifyPro options
set_option -fix_gated_and_generated_clocks 1
set_option -update_models_cp 0
set_option -resolve_multiple_driver 0


#-- add_file options
set_option -hdl_define -set SBP_SYNTHESIS
set_option -include_path {C:/KAL/Trilby/Trilby_am_fm}
add_file -verilog {C:/KAL/Trilby/Trilby_am_fm/impl1/trilby_diag.v}
add_file -verilog {C:/KAL/Trilby/Trilby_am_fm/pll96/pll_24_to_96/pll_24_to_96.v}
add_file -verilog {C:/KAL/Trilby/Trilby_am_fm/pll96/pll96.v}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/adc_sync.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/spislave.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/io_ctrl.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/i2cslave.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/tuner_ctrl.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/i2c_master.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/dec_by_5_iq.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/filter_iq.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/mix_iq.vhd}
add_file -verilog {C:/KAL/Trilby/Trilby_am_fm/rom1kx18/r18/r18.v}
add_file -verilog {C:/KAL/Trilby/Trilby_am_fm/rom1kx18/rom1kx18.v}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/audio_pwm.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/uartbuf5b.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/uartrx2k.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/serial_intf.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/dec10_rom/dec10/dec10.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/dec10_rom/dec10_rom.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/aud_rom/a18/a18.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/aud_rom/aud_rom.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/chf_rom/c18/c18.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/chf_rom/chf_rom.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/flt_rom/f18/f18.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/flt_rom/flt_rom.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/io_mux.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/demod.vhd}
add_file -vhdl -lib "work" {C:/KAL/Trilby/Trilby_am_fm/dec_filter_iq.vhd}

#-- top module name
set_option -top_module trilby_diag

#-- set result format/file last
project -result_file {C:/KAL/Trilby/Trilby_am_fm/impl1/trilby_test_impl1.edi}

#-- error message log file
project -log_file {trilby_test_impl1.srf}

#-- set any command lines input by customer


#-- run Synplify with 'arrange HDL file'
project -run hdl_info_gen -fileorder
project -run
